<?php

return array
(
	# 表名
	'name' => 'setting',
	# 显示给用户看的名称
	'lang' => '站点信息配置',
	'order' => 10,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '网站ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'hr1'		=> array
		(
			'name' 		=> '基本信息',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '网站名称',
			'default' 	=> '',
			'desc' 		=> '请输入网站名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),
		
		'info'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '网站介绍',
			'default' 	=> '',
			'desc' 		=> '请输入网站介绍',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),
		
		'hr3'		=> array
		(
			'name' 		=> '版权与介绍',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		'copyright'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '版权信息',
			'default' 	=> '',
			'desc' 		=> '请输入版权信息',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),
		
		'icp'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> 'icp备案信息-填写别的信息也可以的',
			'default' 	=> '',
			'desc' 		=> '请输入icp备案信息',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),
		
		'code'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '尾部代码-一般用于填写统计代码',
			'default' 	=> '',
			'desc' 		=> '请输入尾部代码',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> time(),
			'desc' 		=> '',
		),
	),

	'default' => array
	(
		'col' => 'name,info,copyright,icp,cdate',
		'value' => array
		(
			'"Vogue时尚网","Vogue时尚网","Made With By Dever","京ICP备15006344号",' . time(),
		),
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
